# fileset::has-files

[This is preliminary documentation and subject to change.]

Determines whether <fileset> contains any files.

### Usage

`bool fileset::has-files(fileset)`

### Parameters

Name | Type | Description
--- | --- | ---
fileset | string | The id of the fileset to check.

### Return Value

true if the FileSet contains one or more files, otherwise false.

### Exceptions

The function will fail in any of the following circumstances:

- fileset is not a valid refid to a defined fileset.

### Examples

- Perform conditional processing on a fileset if it contains files.

      <fileset id="test.fileset">
          <include name="**/*.cs">
      </fileset>
      <if test="${fileset::has-files('test.fileset')}">
          <dostuff... />
      </if>

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)